﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.CSharpNinja.WinUi.GenericsSamples
{
    public class ViewModelField<T>
    {
        private T m_Value;
        public T Value
        {
            get { return m_Value; }
            set { m_Value = value; }
        }
        
        public ViewModelField()
        {
            IsValid = true;
            IsVisible = true;
            ValidationMessage = String.Empty;
        }

        public ViewModelField(T initialValue)
            : this()
        {
            m_Value = initialValue;
        }

        public bool IsVisible { get; set; }
        public bool IsValid { get; set; }
        public string ValidationMessage { get; set; }

        public override string ToString()
        {
            if (Value == null)
            {
                return String.Empty;
            }
            else
            {
                return Value.ToString();
            }
        }
    }
}
