﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.CSharpNinja.WinUi.LinqSamples;

namespace Benday.CSharpNinja.WinUi.LambdaExpressions
{
    class LambdaExpressionSample
    {
        private void WriteAllFirstNamesToConsole()
        {
            Employees.ForEach(x => Console.WriteLine(x.FirstName));
        }

        public LambdaExpressionSample()
        {
            Employees = new List<Employee>();

            Employees.Add(CreateEmployee(23, "Jimbo", "Rosenwinkle", 34523, "MA"));
            Employees.Add(CreateEmployee(24, "Simm", "Pullton", 1200000, "WA"));
            Employees.Add(CreateEmployee(25, "Bud", "Tuggley", 75000, "CT"));
            Employees.Add(CreateEmployee(26, "Gigi", "Burrenburg", 52000, "MA"));
            Employees.Add(CreateEmployee(27, "Lucy", "Burrenstein", 61500, "MA"));
        }

        private Employee CreateEmployee(int id,
            string firstName,
            string lastName,
            int salary,
            string stateOfResidence)
        {
            return new Employee()
            {
                Id = id,
                FirstName = firstName,
                LastName = lastName,
                Salary = salary,
                StateOfResidence = stateOfResidence
            };
        }

        public List<Employee> Employees { get; set; }

    }
}
